Subject: Re: bug#23904: Btrfs clone support in copy operations

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Sep 2016 18:25:07 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sat, 10 Sep 2016 19:16:39 -0700
> 
> 
> [1:text/plain Hide]
> 
> I looked into this a bit more, and it appears that there's little point to 
> giving the user an option to clone or not clone when copying files, as the 
> cloning (or not cloning) can occur anyway.
> 
> We plan to release a coreutils version soon and to change the default to clone 
> after the release. For Emacs master the next release is far away, so there is 
> plenty of time to try out the FICLONE performance improvement. I installed the 
> attached two patches and am marking this bug report as done.

The first patch is fine with me.

> The second patch merely updates the documentation to discuss the issue; it is 
> logically independent of the first patch, since the issue can occur both with 
> and without the first patch.

I wonder why we need that text in the manual, it doesn't seem to
provide any useful actionable info, just general description of an
issue.